Main Page Widgets Namespaces Book

# base.h File Reference

## Namespaces

namespace | Gtk

## Defines

#define | GTK_VERSION_EQ(major, minor) ((GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION==minor))
#define | GTK_VERSION_GE(major, minor) ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>=minor))
#define | GTK_VERSION_GT(major, minor) ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>minor))
#define | GTK_VERSION_GT_MICRO(major, minor, micro)
#define | GTK_VERSION_LE(major, minor) ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<=minor))
#define | GTK_VERSION_LT(major, minor) ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<minor))
#define | GTK_VERSION_NE(major, minor) ((GTK_MAJOR_VERSION!=major)||(GTK_MINOR_VERSION!=minor))

## Define Documentation

#define GTK_VERSION_EQ | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION==minor))

#define GTK_VERSION_GE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>=minor))

#define GTK_VERSION_GT | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>minor))

#define GTK_VERSION_GT_MICRO | ( | major,
|  | minor,
|  | micro |  | ) |

Value:

    ((GTK_MAJOR_VERSION>major)|| \
      (GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>minor)||\
      (GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION==minor)&&(GTK_MICRO_VERSION>minor))

#define GTK_VERSION_LE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<=minor))

#define GTK_VERSION_LT | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<minor))

#define GTK_VERSION_NE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION!=major)||(GTK_MINOR_VERSION!=minor))